[android-components](../../index.md) / [mozilla.components.support.ktx.kotlin](../index.md) / [kotlin.ByteArray](index.md) / [toSha1Digest](./to-sha1-digest.md)

# toSha1Digest

`fun `[`ByteArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html)`.toSha1Digest(): `[`ByteArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/ktx/src/main/java/mozilla/components/support/ktx/kotlin/ByteArray.kt#L66)

**Return**
A SHA-1 digest.

